<?php

declare(strict_types=1);

namespace App\State\Processor\Core;

use App\Service\OnChange\Core\OnFileChange;
use App\State\Processor\EntityProcessor;
use JetBrains\PhpStorm\Pure;

/**
 * Classe OrganizationProcessor qui est un custom dataPersister gérant la resource Organization.
 */
class FileProcessor extends EntityProcessor
{
    #[Pure]
    public function __construct(
        OnFileChange $onChange,
    ) {
        parent::__construct($onChange);
    }
}
